{ config, options, pkgs, ... }:
{
  imports = [
    (import "${(import ../../nix/sources.nix).home-manager}/nixos")
  ];

  users.users.simon = {
    isNormalUser = true;
    extraGroups = [
      "adbusers"
      "dialout"
      "libvirtd"
      "lp"
      "networkmanager"
      "video"
      "wheel"
    ];
    openssh.authorizedKeys.keys = config.sbruder.pubkeys.trustedKeys;
    initialPassword = "foobar"; # for vm
  };

  home-manager.useUserPackages = true;
  home-manager.useGlobalPkgs = true;

  home-manager.users.simon = { lib, pkgs, ... }: {
    imports = [ ./modules ];

    config = {
      home.stateVersion = config.system.stateVersion;
    };
  };
}
